########################################################
#   docker build -t ruoyi-gateway:3.6.4 .
########################################################

# 基础镜像
FROM  k8s.xt.wenhq.top:8082/docker_r/javarun:1.2
# author
MAINTAINER hs_lvwenbin@163.com

# 挂载目录
VOLUME /home/ruoyi
# 创建目录
RUN mkdir -p /home/ruoyi
# 指定路径
WORKDIR /home/ruoyi
# 复制jar文件到路径
COPY ruoyi-gateway.jar /home/ruoyi/ruoyi-gateway.jar

# 声明端口
EXPOSE 9100

# 环境变量
ENV GRPC_PORT_OFFSET=1000
ENV NACOS_SERVER=0.0.0.0:8848
ENV SPRING_PROFILES_ACTIVE=prod

# 启动网关服务
ENTRYPOINT java -Dnacos.server.grpc.port.offset=$GRPC_PORT_OFFSET -jar ruoyi-gateway.jar \
  --spring.application.name=$APPLICATION_NAME \
  --spring.profiles.active=$SPRING_PROFILES_ACTIVE \
  --spring.cloud.nacos.discovery.server-addr=$NACOS_SERVER \
  --spring.cloud.nacos.config.server-addr=$NACOS_SERVER